> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allowed IPs

> List all allowed IP addresses for the account with optional filters and pagination



## OpenAPI

````yaml /api/openapi.yaml get /v1/allowed_ips
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/allowed_ips:
    get:
      tags:
        - Accounts
      summary: List Allowed IPs
      description: >-
        List all allowed IP addresses for the account with optional filters and
        pagination
      parameters:
        - schema:
            type: boolean
          in: query
          name: enabled
          required: false
          description: Filter by enabled status
        - schema:
            type: number
            default: 100
            minimum: 1
            maximum: 1000
          in: query
          name: limit
          required: false
          description: Number of items to return
        - schema:
            type: number
            default: 0
            minimum: 0
          in: query
          name: offset
          required: false
          description: Number of items to skip
      responses:
        '200':
          $ref: '#/components/responses/ListAllowedIPsResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  responses:
    ListAllowedIPsResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ListAllowedIPsResponse_application_json'
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ListAllowedIPsResponse_application_json:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/ListAllowedIPsResponse_application_json_items_items
        total:
          type: number
          description: Total number of items available
        limit:
          type: number
          description: Number of items returned
        offset:
          type: number
          description: Number of items skipped
      required:
        - items
        - total
        - limit
        - offset
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
    ListAllowedIPsResponse_application_json_items_items:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Allowed IP unique identifier
        ip_address:
          type: string
          description: IP address or CIDR range (e.g., 192.168.1.1 or 10.0.0.0/8)
        description:
          type: string
          nullable: true
          description: Optional description of this IP address
        enabled:
          type: boolean
          description: Whether this allowed IP is active
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        created_by:
          type: string
          format: uuid
          description: User ID who created this allowed IP
        updated_by:
          type: string
          format: uuid
          description: User ID who last updated this allowed IP
      required:
        - id
        - ip_address
        - enabled
        - created_at
        - updated_at
        - created_by
        - updated_by
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````